Financial statements for the company
curl --request GET \
--url https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-statements \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-statements"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"fromDate": "2023-01-01T00:00:00",
"toDate": "2023-12-31T00:00:00",
"statement": {
"netOperatingIncome": 48874,
"operatingResult": 13597,
"resultAfterFin": 13898,
"netProfitLoss": 8224,
"totTurnoverAssets": 58423,
"totFixedAssets": 198,
"totShortTermDebts": 19846,
"totLongTermDebts": 0,
"totEquity": 29073,
"totalEquityAndLiability": 58621,
"noEmployees": 31
},
"profitAndLoss": {
"netSales": 48853,
"changeInventoryWorkInProgress": 0,
"workPerformedOwnUseCapital": 0,
"otherOppIncome": 21,
"netOperatingIncome": 48874,
"rawMaterialConsumables": 0,
"goodsResale": -2959,
"otherExtCosts": -9569,
"staffCosts": -22443,
"depreciationWriteDowns": -202,
"itemAffectingComp": 0,
"otherOppExpenses": -105,
"totOperatingExpenses": -35278,
"operatingResult": 13597,
"resultPartGroup": 0,
"extInterestInc": 321,
"finInterestGroupInc": 0,
"otherFinInc": 0,
"interestExpGroup": 0,
"otherFinCosts": 0,
"resultAfterFin": 13898,
"extraordinaryInc": 0,
"extraordinaryExp": 0,
"contributeGroup": 0,
"contributeShareholder": 0,
"otherAppropriations": -3500,
"tax": -2174,
"minorityInterestProfit": 0,
"netProfitLoss": 8224
},
"balanceSheet": {
"capExpResDev": 0,
"patents": 0,
"goodwill": 0,
"otherIntangibleAssets": 0,
"totIntangiableAssets": 0,
"landBuildings": 0,
"plantMachinery": 0,
"equipmentToolsFixFit": 168,
"otherMatDepreciation": 0,
"otherTangAssNonDep": 0,
"totTangiableAssets": 168,
"groupShare": 30,
"accReceivableGroupInterestGroup": 0,
"loanCoOwners": 0,
"otherFinAssets": 0,
"totFinancialAssets": 30,
"totFixedAssets": 198,
"workOnContract": 0,
"accReceivableTrade": 8402,
"accReceivableGroup": 251,
"otherAccReceivable": 1467,
"cashAndBankBalances": 48303,
"otherCurrentAss": 0,
"totTurnoverAssets": 58423,
"totAssets": 58621,
"issuedShareCapital": 114,
"sharePremiumReserve": 316,
"revaluationReserve": 0,
"otherStockholderEquity": 0,
"profitLossBroughtForward": 20419,
"contributionGroup": 0,
"contributionShareholders": 0,
"untaxedReserves": 9702,
"minorityInterests": 0,
"provisions": 0,
"ltLiabCreditInst": 0,
"ltLiabGroupAssComp": 0,
"ltOtherLiab": 0,
"ltTotDebts": 0,
"stLiabCreditInst": 0,
"stAccountsPayableTrade": 746,
"stLiabGroupAssComp": 0,
"stOtherLiab": 19100,
"totalEquityAndLiab": 58621
}
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The company's organisation number (personal identity number for a sole proprietorship), without separators.
Response
OK
Summary financial statement figures (result and balance totals) for a single period.
Show child attributes
Show child attributes
A company's profit-and-loss statement for a financial period.
Show child attributes
Show child attributes
A company's balance sheet for a financial period: assets, equity and liabilities line items.
Show child attributes
Show child attributes
Was this page helpful?
